Name:           xsel
Version:        1.2.0
Release:        %mkrel 3
Summary:        Command line clipboard and X selection tool
Group:          System/X11
License:        MIT
URL:            http://www.vergenet.net/~conrad/software/xsel/
Source0:        http://www.vergenet.net/~conrad/software/xsel/download/xsel-%{version}.tar.gz
# Applied upstream (BZ#690214)
Patch0:         xsel-1.2.0-MAX_NUM_TARGETS.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libsm-devel 
BuildRequires:  libxt-devel
BuildRequires:  libxext-devel

%description
XSel is a command line or script utility, similar to xclip, that can copy the
primary and secondary X selection, or any highlighted text, to or from a file,
stdin or stdout. It can also append to and delete the clipboard or buffer that
you would paste with the middle mouse button.

%prep
%setup -q
%patch0 -p1 -b .MAX_NUM_TARGETS

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_mandir}/man1/xsel.1x*
%{_bindir}/xsel



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-3.mga3
+ Revision: 387396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 stormi <stormi> 1.2.0-2.mga1
+ Revision: 97672
- fix RPM group

* Fri May 06 2011 misc <misc> 1.2.0-1.mga1
+ Revision: 95539
- adapt BuildRequres to mageia
- imported package xsel

